{
    "menuFlags":{
        "hasFile": 1,
        "loadInitFile": 1,
        "hasDaq":  1,
        "hasH5" : 1,
	"hasEpics" : 1
    },
    "Expt": {
        "encoding":    "UTF-8",
        "beamline":    "",
        "exptColorBg": "blue",
        "exptColorFg": "white",
        "operator":    "sfop"
    },
    "ElogBooks": {
        "SwissFEL+commissioning": {
            "url": "https://elog-gfa.psi.ch:443/SwissFEL+commissioning",
            "destination": "/afs/psi.ch/intranet/Controls/tmp/elog/ePic/SwissFEL+commissioning/"
        },
        "SwissFEL+commissioning+data": {
            "url": "https://elog-gfa.psi.ch:443/SwissFEL+commissioning+data",
            "destination": "/afs/psi.ch/intranet/Controls/tmp/elog/ePic/SwissFEL+commissioning+data/"
        },
        "SwissFEL+test": {
            "url": "https://elog-gfa.psi.ch:443/SwissFEL+test",
            "destination": "/afs/psi.ch/intranet/Controls/tmp/elog/ePic/SwissFEL+test/"
        },
        "SwissFEL+test+data": {
            "url": "https://elog-gfa.psi.ch:443/SwissFEL+test+data",
            "destination": "/afs/psi.ch/intranet/Controls/tmp/elog/ePic/SwissFEL+test+data/"
        }
    },
    "Elog": {
        "useELOGenv" : 0,
	"host": "elog-gfa.psi.ch",
	"book": "SwissFEL+commissioning+data",
	"url": "https://elog-gfa.psi.ch:443/SwissFEL+commissioning+data",
        "destination": "/sf/data/measurements/",
	"category": ["Info","Measurement"],
	"system"  : ["","Beamdynamics","Controls", "Diagnostics", "Electric supply", "Insertion-devices", "Laser", 
		     "Magnet Power Supplies", "Operation", "RF", "Safety", "Vacuum", "Water cooling", "Other", "Unknown"],
	"domain"  : ["","Injector","Linac1","Linac2","Linac3","Aramis","Aramis Beamlines","Athos"],
	"section" : [ [""],
		      ["","SINEG01", "SINBD01", "SINSB01", "SINSB02", "SINLH01", "SINLH02", "SINLH03", "SINSB03", "SINSB04", "SINSB05", "SINXB01", "SINBC01", "SINBC02", "SINDI01", "SINDI02"],
		      ["","S10CB01", "S10CB02", "S10DI01", "S10BD01", "S10CB03", "S10CB04", "S10CB05", "S10CB06", "S10CB08", "S10CB09", "S10BC01", "S10BC02", "S10MA01"],
		      ["","S20CB01", "S20CB02", "S20CB03", "S20CB04", "S20SY01", "S20SY02", "S20SY03"],
		      ["","S30CB01", "S30CB02", "S20CB03", "S30CB04", "S30CB05", "S30CB06", "S30CB07", "S30CB08", "S30CB09", "S30CB10", "S30CB11", "S30CB12", "S30CB13", "S30CB14", "S30CB15", "S30CB16"],
		      ["","SARCL01", "SARCL02", "SARMA01", "SARMA02", "SARUN01", "SARUN02", "SARUN03", "SARUN04", "SARUN05", "SARUN06", "SARUN07", "SARUN08", "SARUN09", "SARUN10", "SARUN11", "SARUN12", 
		      "SARUN13", "SARUN14", "SARUN15", "SARUN16", "SARUN17", "SARUN18", "SARUN19", "SARUN20", "SARBD01", "SARBD02"],
		      ["","SARFE10 (Gas detector)", "SAROP11 (ESA / ALVRA)", "SAROP21 (ESB / Bernina)", "SAROP31 (ESC)"],
		      ["","SATSY01", "SATSY02", "SATSY03", "SATCL01", "SATDI01", "SATCB01", "SATCB02", "SATMA01", "SATUN01", "SATUN02", "SATUN03", "SATUN04", "SATUN05", "SATUN06", "SATUN07", "SATUN08", 
                      "SATUN09", "SATUN10", "SATDI04", "SATUN11", "SATUN12", "SATUN13", "SATUN14", "SATUN15", "SATUN16", "SATUN17", "SATUN18", "SATUN19", "SATUN20", "SATUN21", "SATUN22", "SATBD01", "SATBD02"],
                      ["","SATFE10", "SATOP1"]
		    ] 
    },
    "stdlog": {
        "destination": "/tmp/"
    },
    "screenshot": {
        "destination": "/sf/data/applications/screenshot/"
    }, 
    "url": {
        "archiver"  : "https://ui-data-api.psi.ch/prepare?channel=sf-archiverappliance/",
	"databuffer": "https://ui-data-api.psi.ch/prepare?channel=sf-databuffer/"
    },
    "OpMsg":{
        "pvDate1" :"SF-OP:CR-MSG:OP-DATE1",
	"pvMsg1"  :"SF-OP:CR-MSG:OP-MSG1",
	"pvBeamOK":"SFTEST-CVME-TI3-EVR0:BUNCH-1-OK",
	"pvEventNo":"SIN-TIMAST-EVG0:TX-PULSEID"
    },
    "BS":{
        "pvFreqSel":"SWISSFEL-STATUS:Bunch-1-Freq-Sel",
	"pvFreqRB" :"SWISSFEL-STATUS:Bunch-1-Appl-Freq-RB",
	"modulo":     10,
	"offset":      0,
	"timeoutMS":1000
    },
    "Target" : ["Aramis", "Athos", "Porthos"],
    "Aramis":{
        "undulators":["SARUN03-UIND030:K_SET", "SARUN04-UIND030:K_SET", "SARUN05-UIND030:K_SET", 
		      "SARUN06-UIND030:K_SET", "SARUN07-UIND030:K_SET", "SARUN08-UIND030:K_SET",
		      "SARUN09-UIND030:K_SET", "SARUN10-UIND030:K_SET", "SARUN11-UIND030:K_SET", 
		      "SARUN12-UIND030:K_SET", "SARUN13-UIND030:K_SET", "SARUN14-UIND030:K_SET",
		      "SARUN15-UIND030:K_SET"],  
	"BPMs-RT":["SARBD02-DBPM040:Y1-RT", "SARBD02-DBPM010:Y1-RT", "SARCL02-DBPM260:X1-RT"],
	"BPMs":["SARBD02-DBPM040:Y1", "SARBD02-DBPM010:Y1", "SARCL02-DBPM260:X1"],
	"dump": "SFB_BEAM_DUMP_AR:ONOFF1",
	"optics": "SFB_OPTICS_SAR:ONOFF1",
	"quadI": "SARBD02-MQUA030:I-SET",
	"quadCycle": "SARBD02-MQUA030:CYCLE",
	"beamStatus": "SOP-BEAMSTATUS-AR",
	"energy" : "SARBD02-DBPM040:ENERGY-OP",
	"charge": "SINEG01-DICT215:B1_CHARGE-OP",
	"freq": "SIN-TIMAST-TMA:Bunch-1-Exp-Freq-RB",
	"laser": "SWISSFEL-STATUS:Bunch-1-Las-Appl-RB",
	"photonEnergy": "SARFE10-PBPG050:PHOTON-ENERGY-PER-PULSE-AVG",
	"color": "#00b7eb",
	"qlingrad": "qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0  #ffffff, stop: 1 #00b7eb)"      	
    },
    "Athos":{
        "undulators":[ 
		      "SATUN06-UIND030:K_SET", "SATUN07-UIND030:K_SET", "SATUN08-UIND030:K_SET",
		      "SATUN09-UIND030:K_SET", "SATUN10-UIND030:K_SET", "SATUN11-UIND030:K_SET", 
		      "SATUN12-UIND030:K_SET", "SATUN13-UIND030:K_SET",
		      "SATUN15-UIND030:K_SET", "SATUN16-UIND030:K_SET", "SATUN17-UIND030:K_SET", 
	              "SATUN18-UIND030:K_SET", "SATUN19-UIND030:K_SET", "SATUN20-UIND030:K_SET",
		      "SATUN21-UIND030:K_SET", "SATUN22-UIND030:K_SET" 
	],
	"BPMs-RT":["SATBD02-DBPM040:Y2-RT", "SATBD02-DBPM010:Y2-RT"],
	"BPMs":["SATBD02-DBPM040:Y2", "SATBD02-DBPM010:Y2"],
	"dump": "SFB_BEAM_DUMP_AT:ONOFF1",
	"optics": "SFB_OPTICS_SAT:ONOFF1",
	"quadI": "SATBD02-MQUA030:I-SET",
	"quadCycle": "SATBD02-MQUA030:CYCLE",
	"beamStatus": "SOP-BEAMSTATUS-AT",
	"energy" : "SATBD02-DBPM040:ENERGY-OP",
	"charge": "SINEG01-DICT215:B2_CHARGE-OP",
	"freq": "SIN-TIMAST-TMA:Bunch-2-Exp-Freq-RB",
        "laser": "SWISSFEL-STATUS:Bunch-2-Las-Appl-RB",
	"photonEnergy": "SATFE10-PEPG046:PHOTON-ENERGY-PER-PULSE-AVG",
	"color": "#2e5894",
	"qlingrad": "qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 #FFFFFF, stop: 1 #2e5894)"
    },
    "Porthos":{
        "laser": "SWISSFEL-STATUS:Bunch-2-Las-Appl-RB",
	"pvFreqRB": "SIN-TIMAST-TMA:Bunch-2-Appl-Freq-RB",
	"freq": "SIN-TIMAST-TMA:Bunch-2-Exp-Freq-RB",
	"beamStatus": "SOP-BEAMSTATUS-AT",
	"energy" : "SATBD02-DBPM040:ENERGY-OP",
        "charge": "SINEG01-DICT215:B2_CHARGE-OP",
	"photonEnergy": "SATFE10-PEPG046:PHOTON-ENERGY-PER-PULSE-AVG",
	"color": "#9c6da5",
	"qlingrad": "qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 #9b111e, stop: 1 #FFFFFF)"
    },
    "showPorthos": 0,
    "Update":{
        "freq": [0.5, 1, 2, 5, 10],
	"defaultIdx": 1
    },
    "DAQ":{
	"caWaitSec": 0.09
     }, 
    "MsgSeverity": {
        "fatal": "#ee0011",
        "error": "#990033",
        "warn":  "#cc6600",
        "info":  "#0040ff",
        "debug": "#11aaee"
    },
    "StyleGuide":{ 
        "widgetHeight": 25,
	"extraGroupHeight": 30,
	"aramis_color": "#00b7eb",
	"athos_color": "#2e5894",
	"aramis_qlingrad": "qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 #00b7eb , stop: 1 #ffffff)",
       	"athos_qlingrad": "qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 #2e5894 , stop: 1 #ffffff)"
    },	
    "hdf": {
	"destination" : "/sf/data/measurements/",
        "groups":["General/Created","General/Author","General/Process","General/UID","General/Filepath",
                  "Machine/Charge", "Machine/Laser","Machine/RepetitionRate","Machine/BeamDestination","Machine/Energy", 
                  "Method/Method","Method/Sensors","Method/Actuators","Method/TimeRecordLength","Method/Background",
                  "Data"],
	"experiment" : ["SOP-BEAMSTATUS-AR", "SARBD02-DBPM040:ENERGY-OP", "SINEG01-DICT215:B1_CHARGE-OP", 
			"SIN-TIMAST-TMA:Bunch-1-Appl-Freq-RB", "SWISSFEL-STATUS:Bunch-1-Las-Appl-RB",
			"SARFE10-PBPG050:PHOTON-ENERGY-PER-PULSE-AVG", 	
			"SOP-BEAMSTATUS-AT", "SATBD02-DBPM040:ENERGY-OP", "SINEG01-DICT215:B2_CHARGE-OP",
			"SIN-TIMAST-TMA:Bunch-2-Appl-Freq-RB", "SWISSFEL-STATUS:Bunch-2-Las-Appl-RB",
			"SATFE10-PEPG046:PHOTON-ENERGY-PER-PULSE-AVG"]
    },
    "hdfExperiment": {
        "charge":   "SINEG01-DICT215:B1_CHARGE_AVERAGE-OP",
        "laser":    "SLG-LGEN:WHICH_LASER",
        "repRate":  "SIN-TIMAST-TMA:Beam-Appl-Freq-RB",
        "beamDest": "SF:MODE_AR",
        "energy":   "SF:ENERGY_AR"
    },
    "hdfData": {
        "dataSet": ["timestamp","data", "pulse_id", "timestamp_offset"]  
    }
}
